package server

import (
	"git.pbiernat.dev/egommerce/identity-service/internal/app/service"
	"github.com/gofiber/fiber/v2"
)

type TraefikAuthResponse struct {
	Status string `json:"status"`
}

func (s *Server) TraefikHandler(c *fiber.Ctx) error {
	cookie := service.AuthService.Cookie("traefik", "tmp-dummy-traefik-token")
	c.Cookie(cookie)
	s.log.Log("Traefik action set cookie. done.")

	return c.JSON(&TraefikAuthResponse{Status: "OK"})
}
